package com.chenyang.druid.sql.ast.statement;

import com.chenyang.druid.sql.ast.SQLExpr;
import com.chenyang.druid.sql.ast.SQLName;
import com.chenyang.druid.sql.ast.SQLObjectImpl;
import com.chenyang.druid.sql.ast.SQLStatementImpl;
import com.chenyang.druid.sql.visitor.SQLASTVisitor;
import java.util.ArrayList;

public class SQLCreateTablespaceStatement extends SQLStatementImpl {
   protected SQLName name;
   protected ArrayList<FileItem> fileItems = new ArrayList();

   protected void accept0(SQLASTVisitor visitor) {
      if (visitor.visit(this)) {
      }

      visitor.endVisit(this);
   }

   public SQLName getName() {
      return this.name;
   }

   public void setName(SQLName name) {
      this.name = name;
   }

   public ArrayList<FileItem> getFileItems() {
      return this.fileItems;
   }

   public void setFileItems(ArrayList<FileItem> fileItems) {
      this.fileItems = fileItems;
   }

   public static class FileItem extends SQLObjectImpl {
      private SQLName filepath;
      private SQLName mirrorFilepath;
      private SQLExpr filesize;
      private Boolean on;
      private Boolean off;
      private SQLExpr next;
      private SQLExpr maxsize;

      protected void accept0(SQLASTVisitor visitor) {
         if (visitor.visit(this)) {
         }

         visitor.endVisit(this);
      }

      public SQLName getFilepath() {
         return this.filepath;
      }

      public void setFilepath(SQLName filepath) {
         this.filepath = filepath;
      }

      public SQLName getMirrorFilepath() {
         return this.mirrorFilepath;
      }

      public void setMirrorFilepath(SQLName mirrorFilepath) {
         this.mirrorFilepath = mirrorFilepath;
      }

      public SQLExpr getFilesize() {
         return this.filesize;
      }

      public void setFilesize(SQLExpr filesize) {
         this.filesize = filesize;
      }

      public Boolean getOn() {
         return this.on;
      }

      public void setOn(Boolean on) {
         this.on = on;
      }

      public Boolean getOff() {
         return this.off;
      }

      public void setOff(Boolean off) {
         this.off = off;
      }

      public SQLExpr getNext() {
         return this.next;
      }

      public void setNext(SQLExpr next) {
         this.next = next;
      }

      public SQLExpr getMaxsize() {
         return this.maxsize;
      }

      public void setMaxsize(SQLExpr maxsize) {
         this.maxsize = maxsize;
      }
   }
}
